class UTable
	include Mongoid::Document
	include Mongoid::Timestamps
	include OrbitCategory::Categorizable
	include Slug

	field :title, as: :slug_title, localize: true

	has_many :table_columns, :dependent => :destroy
	has_many :table_entries, :dependent => :destroy

	accepts_nested_attributes_for :table_columns, :allow_destroy => true

	FIELD_TYPES = ["text", "editor", "image", "date", "period"]
	DATE_FORMATS = ["yyyy/MM/dd hh:mm", "yyyy/MM/dd","yyyy/MM", "yyyy"]
end