Rails.application.routes.draw do

  locales = Site.first.in_use_locales rescue I18n.available_locales
  
  scope "(:locale)", locale: Regexp.new(locales.join("|")) do
   namespace :admin do
   	post "/universal_tables/add_entry", to: 'universal_tables#add_entry'
   	patch "/universal_tables/update_entry", to: 'universal_tables#update_entry'
    post "/universal_tables/import_data_from_excel", to: 'universal_tables#import_data_from_excel'
    get "universal_tables/checkforthread", to: "universal_tables#checkforthread"
    resources :universal_tables do 
    	get "new_entry"
    	delete "delete_entry"
    	get "edit_entry"
      get "export_structure"
      member do 
        get "export_data"
      end
    end
   end
   get "/xhr/universal_table/export", to: 'universal_tables#export_filtered'
  end
  
end
